package com.ssj.service.weixin.library.service;

import com.ssj.bean.weixin.libmy.domain.LibBookApply;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.reading.request.ApplyBookReq;
import com.ssj.service.reading.request.RandomBookReq;

public interface LibBookApplyService extends BaseService<LibBookApply,String> {

    void saveApplyInfo(ApplyBookReq param);

    int randomBook(RandomBookReq param);

    void saveApplyAudit(String id,String batchId, int state, String msg);

    void saveApplyRadom(LibBookApply apply);

    int appplyTimes(String libId);
}
